/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ChannelInfo_H_
#define	_ChannelInfo_H_


#include <asn_application.h>

/* Including external dependencies */
#include "OperatingClass80211.h"
#include "ChannelNumber80211.h"
#include "TXpower80211.h"
#include "WsaChInfoDataRate.h"
#include "ChInfoOptions.h"
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* ChannelInfo */
typedef struct ChannelInfo {
	OperatingClass80211_t	 operatingClass;
	ChannelNumber80211_t	 channelNumber;
	TXpower80211_t	 powerLevel;
	WsaChInfoDataRate_t	 dataRate;
	ChInfoOptions_t	 extensions;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} ChannelInfo_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ChannelInfo;

#ifdef __cplusplus
}
#endif

#endif	/* _ChannelInfo_H_ */
#include <asn_internal.h>
